import request from '@/utils/request';

// 综合绩效-辅导员工作绩效填报列表查询
export function servingList(query) {
  return request({
    url: '/teacher/serving/list',
    method: 'get',
    data: query
  })
}
// 综合绩效-辅导员工作绩效填报新增
export function servingAdd(data) {
  return request({
    url: '/teacher/serving/add',
    method: 'post',
    data: data
  })
}

// 综合绩效-辅导员工作绩效填报修改
export function servingUpdate(data) {
  return request({
    url: '/teacher/serving/update',
    method: 'post',
    data: data
  })
}

// 综合绩效-辅导员工作绩效填报详情
export function servingDetail(id) {
  return request({
    url: '/teacher/serving/'+id,
    method: 'get',
  })
}

// 综合绩效-辅导员工作绩效填报详情
export function servingDel(id) {
  return request({
    url: '/teacher/serving/'+id,
    method: 'post',
  })
}